import { Component, inject } from '@angular/core';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatTooltipModule } from '@angular/material/tooltip';
import { ReactiveFormsModule } from '@angular/forms';
import { ApiAuthenticationService } from '../../shared/services/api/api-authentication.service';

@Component({
  selector: 'logoff-button',
  standalone: true,
  imports: [
    MatButtonModule,
    MatIconModule,
    MatFormFieldModule,
    MatTooltipModule,
    ReactiveFormsModule,
  ],
  templateUrl: './logoff-button.component.html',
  styleUrl: './logoff-button.component.scss'
})
export class LogoffButtonComponent {
  private readonly auth = inject(ApiAuthenticationService);

  logoff() {
    this.auth.logout();
  }
}
