import { Component, inject, input } from '@angular/core';
import { Policy } from '../../shared/models/policy';
import { PolicyItemEditComponent } from '../policy-item-edit/policy-item-edit.component';
import { MatDialog } from '@angular/material/dialog';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { Group } from '../../shared/models/group';

@Component({
  selector: 'policy-add-button',
  imports: [
    MatButtonModule,
    MatIconModule,
  ],
  templateUrl: './policy-add-button.component.html',
  styleUrl: './policy-add-button.component.scss'
})
export class PolicyAddButtonComponent {
  private readonly dialog = inject(MatDialog);

  policies = input.required<Policy[]>();
  groups = input.required<Group[]>();
  group = input<string | undefined>();


  openDialog(): void {
    this.dialog.open(PolicyItemEditComponent, {
      data: {
        policies: this.policies(),
        groups: this.groups(),
        group_id: this.group(),
        groupDisabled: !!this.group(),
        isNew: true,
      }
    });
  }
}