import { Injectable } from '@angular/core';
import { Resolve, ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';
import { Observable } from 'rxjs';
import { Permission } from '../models/permission';
import { PermissionService } from '../services/permission.service';

@Injectable({ providedIn: 'root' })
export default class PermissionResolver implements Resolve<Permission[]> {
  constructor(private service: PermissionService) { }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Permission[]> {
    return this.service.fetch();
  }
}