import { Injectable } from '@angular/core';
import { Resolve, ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';
import { Observable } from 'rxjs';
import { Filter } from '../models/filter';
import TtsFilterService from '../services/tts-filter.service';

@Injectable({ providedIn: 'root' })
export default class TtsFilterResolver implements Resolve<Filter[]> {
  constructor(private service: TtsFilterService) { }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Filter[]> {
    return this.service.fetch();
  }
}